From: "Emil Karlson" <jekarlson@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/x11:master commit in: x11-drivers/ati-drivers/
Date: Tue, 3 Jun 2014 04:49:45 +0000 (UTC) [thread overview]
Message-ID: <1401770977.ac2eebc96bae0655e5bfb31e135ea218a7965458.emil_karlson@gentoo> (raw)
commit: ac2eebc96bae0655e5bfb31e135ea218a7965458
Author: Emil Karlson <jekarlson <AT> gmail <DOT> com>
AuthorDate: Tue Jun 3 04:49:37 2014 +0000
Commit: Emil Karlson <jekarlson <AT> gmail <DOT> com>
CommitDate: Tue Jun 3 04:49:37 2014 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commit;h=ac2eebc9
x11-drivers/ati-drivers: version bump
---
...6_beta.ebuild => ati-drivers-14.6_beta1.ebuild} | 118 +++++++++------------
1 file changed, 50 insertions(+), 68 deletions(-)
diff --git a/x11-drivers/ati-drivers/ati-drivers-13.6_beta.ebuild b/x11-drivers/ati-drivers/ati-drivers-14.6_beta1.ebuild
similarity index 85%
rename from x11-drivers/ati-drivers/ati-drivers-13.6_beta.ebuild
rename to x11-drivers/ati-drivers/ati-drivers-14.6_beta1.ebuild
index e48a1a9..870fa4c 100644
--- a/x11-drivers/ati-drivers/ati-drivers-13.6_beta.ebuild
+++ b/x11-drivers/ati-drivers/ati-drivers-14.6_beta1.ebuild
@@ -8,31 +8,23 @@ inherit eutils multilib linux-info linux-mod toolchain-funcs versionator pax-uti
DESCRIPTION="Ati precompiled drivers for Radeon Evergreen (HD5000 Series) and newer chipsets"
HOMEPAGE="http://www.amd.com"
-MY_V=( $(get_version_components) )
-#RUN="${WORKDIR}/amd-driver-installer-9.00-x86.x86_64.run"
+RUN="${WORKDIR}/fglrx-14.20/amd-driver-installer-14.20-x86.x86_64.run"
SLOT="1"
-if [[ "${MY_V[2]}" =~ beta.* ]]; then
- BETADIR="beta/"
-else
- BETADIR="linux/"
-fi
-if [[ legacy != ${SLOT} ]]; then
- DRIVERS_URI="http://www2.ati.com/drivers/${BETADIR}amd-driver-installer-catalyst-13-6-beta-x86.x86_64.zip"
-else
- DRIVERS_URI="http://www2.ati.com/drivers/legacy/amd-driver-installer-catalyst-$(get_version_component_range 1-2)-$(get_version_component_range 3)-legacy-linux-x86.x86_64.zip"
-fi
+# Uses javascript for download YESSSS
+#DRIVERS_URI="http://www2.ati.com/drivers/linux/amd-catalyst-13.12-linux-x86.x86_64.zip"
+DRIVERS_URI="mirror://gentoo/linux-amd-catalyst-14.6-beta-v1.0-may23.zip"
XVBA_SDK_URI="http://developer.amd.com/wordpress/media/2012/10/xvba-sdk-0.74-404001.tar.gz"
SRC_URI="${DRIVERS_URI} ${XVBA_SDK_URI}"
FOLDER_PREFIX="common/"
-IUSE="debug +modules multilib qt4 static-libs disable-watermark pax_kernel"
+IUSE="debug +modules multilib qt4 static-libs pax_kernel"
LICENSE="AMD GPL-2 QPL-1.0"
KEYWORDS="-* ~amd64 ~x86"
-RESTRICT="bindist test"
+RESTRICT="bindist test fetch"
RDEPEND="
- <=x11-base/xorg-server-1.14.49[-minimal]
+ <=x11-base/xorg-server-1.15.49[-minimal]
>=app-admin/eselect-opengl-1.0.7
app-admin/eselect-opencl
sys-power/acpid
@@ -44,7 +36,10 @@ RDEPEND="
x11-libs/libXrender
virtual/glu
multilib? (
- app-emulation/emul-linux-x86-opengl
+ || (
+ virtual/glu[abi_x86_32]
+ app-emulation/emul-linux-x86-opengl
+ )
|| (
(
x11-libs/libX11[abi_x86_32]
@@ -118,6 +113,8 @@ QA_PRESTRIPPED="
usr/lib\(32\|64\)\?/libAMDXvBA.so.1.0
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/dri/fglrx_dri.so
+ usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
+ usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libamdocl\(32\|64\).so
"
QA_SONAME="
@@ -158,46 +155,40 @@ QA_DT_HASH="
usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
"
-CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
-ERROR_MTRR="CONFIG_MTRR required for direct rendering."
-ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
- rendering to work."
-ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
- as GPL-only. This prevents ${P} from compiling with an error like this:
- FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
-ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
- kernel to reject loading the fglrx module with
- \"ERROR: could not insert 'fglrx': Exec format error.\"
- You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
-
-_check_kernel_config() {
- if ! linux_chkconfig_present AGP && \
- ! linux_chkconfig_present PCIEPORTBUS; then
- ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
- ewarn "Direct rendering will not work."
- fi
-
- kernel_is ge 2 6 37 && kernel_is le 2 6 38 && if ! linux_chkconfig_present BKL ; then
- die "CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
- fi
-
- if use amd64 && ! linux_chkconfig_present COMPAT; then
- die "CONFIG_COMPAT must be enabled for amd64 kernels."
- fi
+pkg_nofetch() {
+ einfo "The driver packages"
+ einfo ${A}
+ einfo "need to be downloaded manually from"
+ einfo "http://support.amd.com/en-us/download/desktop?os=Linux%20x86_64"
+ einfo "and ${XVBA_SDK_URI}"
}
pkg_pretend() {
+ local CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
+ use amd64 && CONFIG_CHECK+=" COMPAT"
+
+ local ERROR_MTRR="CONFIG_MTRR required for direct rendering."
+ local ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
+ rendering to work."
+ local ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
+ as GPL-only. This prevents ${P} from compiling with an error like this:
+ FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
+ local ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
+ kernel to reject loading the fglrx module with
+ \"ERROR: could not insert 'fglrx': Exec format error.\"
+ You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
+ local ERROR_BKL="CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
+
# workaround until bug 365543 is solved
if use modules; then
linux-info_pkg_setup
require_configured_kernel
- _check_kernel_config
-
- if ! [[ "${KV_EXTRA}" =~ -hardened.* ]] && use pax_kernel; then
- eerror "USE pax_kernel enabled for a non-hardened kernel."
- eerror "If you know this kernel supports pax_kernel, open a bug at"
- eerror "https://bugs.gentoo.org"
- die "USE pax_kernel enabled for a non-hardened kernel"
+ kernel_is ge 2 6 37 && kernel_is le 2 6 38 && CONFIG_CHECK+=" BKL"
+ check_extra_config
+ if ! linux_chkconfig_present AGP && \
+ ! linux_chkconfig_present PCIEPORTBUS; then
+ ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
+ ewarn "Direct rendering will not work."
fi
fi
@@ -263,12 +254,16 @@ src_unpack() {
else
RUN="${DISTDIR}/${DRIVERS_DISTFILE}"
fi
- sh ${RUN} --extract "${S}" 2>&1 > /dev/null || die
+ sh "${RUN}" --extract "${S}" 2>&1 > /dev/null || die
fi
mkdir xvba_sdk
cd xvba_sdk
unpack ${XVBA_SDK_DISTFILE}
+
+ mkdir -p "${WORKDIR}/extra" || die "mkdir extra failed"
+ cd "${WORKDIR}/extra"
+ tar -xf "../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz"
}
src_prepare() {
@@ -315,7 +310,10 @@ src_prepare() {
# Compile fix for kernel typesafe uid types #469160
epatch "${FILESDIR}/typesafe-kuid.diff"
- epatch "${FILESDIR}/ati-drivers-13.6-linux-3.10-proc.diff"
+ epatch "${FILESDIR}/ati-drivers-13.8-beta-include-seq_file.patch"
+
+ # Fix #483400
+ epatch "${FILESDIR}/fgl_glxgears-do-not-include-glATI.patch"
# Compile fix, https://bugs.gentoo.org/show_bug.cgi?id=454870
use pax_kernel && epatch "${FILESDIR}/const-notifier-block.patch"
@@ -335,22 +333,6 @@ src_prepare() {
sed -i -e 's/__SMP__/CONFIG_SMP/' *.c *h || die "SMP sed failed"
sed -i -e 's/ifdef MODVERSIONS/ifdef CONFIG_MODVERSIONS/' *.c *.h \
|| die "MODVERSIONS sed failed"
- cd "${S}"
-
- mkdir extra || die "mkdir extra failed"
- cd extra
- unpack ./../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz
-
- # Get rid of watermark. Oldest known reference:
- # http://phoronix.com/forums/showthread.php?19875-Unsupported-Hardware-watermark
- if use disable-watermark; then
- ebegin "Disabling watermark"
- driver="${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/drivers/fglrx_drv.so
- for x in $(objdump -d ${driver}|awk '/call/&&/EnableLogo/{print "\\x"$2"\\x"$3"\\x"$4"\\x"$5"\\x"$6}'); do
- sed -i "s/${x/x5b/\x5b}/\x90\x90\x90\x90\x90/g" ${driver} || break 1
- done
- eend $? || die "Disabling watermark failed"
- fi
}
src_compile() {
@@ -443,7 +425,7 @@ src_install() {
insinto /etc/ati
exeinto /etc/ati
# Everything except for the authatieventsd.sh script.
- doins ${FOLDER_PREFIX}etc/ati/{logo*,control,atiogl.xml,signature,amdpcsdb.default}
+ doins ${FOLDER_PREFIX}etc/ati/{logo*,control,signature,amdpcsdb.default}
doexe ${FOLDER_PREFIX}etc/ati/authatieventsd.sh
# include.
next reply other threads:[~2014-06-03 4:49 UTC|newest]
Thread overview: 115+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-06-03 4:49 Emil Karlson [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-07-09 17:46 [gentoo-commits] proj/x11:master commit in: x11-drivers/ati-drivers/ Emil Karlson
2015-04-01 19:04 Emil Karlson
2015-04-01 16:07 Emil Karlson
2015-02-12 18:20 Emil Karlson
2015-02-11 20:31 Emil Karlson
2015-01-06 18:10 Emil Karlson
2015-01-06 12:46 Emil Karlson
2014-12-29 18:12 Emil Karlson
2014-12-10 7:30 Emil Karlson
2014-07-17 22:05 Emil Karlson
2014-05-26 19:00 Emil Karlson
2014-04-29 17:34 Emil Karlson
2014-04-29 5:09 Emil Karlson
2014-04-27 7:41 Emil Karlson
2014-03-26 5:40 Emil Karlson
2014-02-27 5:34 Emil Karlson
2014-02-13 9:52 Emil Karlson
2014-02-08 22:07 Emil Karlson
2013-10-27 8:01 Emil Karlson
2013-10-09 7:29 Emil Karlson
2013-10-03 7:40 Emil Karlson
2013-09-24 10:25 Emil Karlson
2013-09-23 20:23 Emil Karlson
2013-09-19 7:54 Emil Karlson
2013-08-23 18:13 Chi-Thanh Christopher Nguyen
2013-08-22 22:55 Emil Karlson
2013-07-24 7:44 Emil Karlson
2013-06-03 16:11 Chi-Thanh Christopher Nguyen
2013-06-01 8:41 Emil Karlson
2013-05-31 6:34 Emil Karlson
2013-05-30 7:19 Emil Karlson
2013-05-20 21:29 Emil Karlson
2013-05-12 11:30 Emil Karlson
2013-05-11 2:34 Emil Karlson
2013-04-26 10:48 Emil Karlson
2013-04-26 10:48 Emil Karlson
2013-04-26 10:48 Emil Karlson
2013-04-07 18:01 Emil Karlson
2013-03-27 20:38 Emil Karlson
2013-03-19 9:50 Chi-Thanh Christopher Nguyen
2013-03-18 20:32 Emil Karlson
2013-03-16 19:29 Emil Karlson
2013-03-15 11:10 Emil Karlson
2013-03-15 11:10 Emil Karlson
2013-03-13 2:03 Chi-Thanh Christopher Nguyen
2013-03-03 21:47 Chi-Thanh Christopher Nguyen
2013-03-01 9:20 Emil Karlson
2013-02-18 21:21 Chi-Thanh Christopher Nguyen
2013-02-18 20:55 Chi-Thanh Christopher Nguyen
2013-02-17 19:32 Emil Karlson
2013-02-17 19:32 Emil Karlson
2013-02-02 15:15 Emil Karlson
2013-01-24 12:43 Emil Karlson
2013-01-24 0:40 Emil Karlson
2013-01-24 0:40 Emil Karlson
2013-01-24 0:40 Emil Karlson
2013-01-24 0:40 Emil Karlson
2013-01-21 23:29 Emil Karlson
2013-01-18 13:11 Emil Karlson
2013-01-07 5:56 Emil Karlson
2013-01-06 20:00 Emil Karlson
2013-01-06 19:15 Emil Karlson
2013-01-04 22:04 Chi-Thanh Christopher Nguyen
2012-12-30 15:55 Emil Karlson
2012-12-29 0:11 Chi-Thanh Christopher Nguyen
2012-12-27 12:26 Emil Karlson
2012-12-25 12:51 Emil Karlson
2012-12-23 18:37 Emil Karlson
2012-12-23 18:37 Emil Karlson
2012-12-23 18:37 Emil Karlson
2012-12-23 18:37 Emil Karlson
2012-12-23 17:06 Emil Karlson
2012-12-04 14:59 Emil Karlson
2012-11-26 23:32 Emil Karlson
2012-11-22 15:17 Emil Karlson
2012-10-24 20:03 Emil Karlson
2012-10-14 20:19 Emil Karlson
2012-09-30 12:18 Chi-Thanh Christopher Nguyen
2012-09-28 12:29 Emil Karlson
2012-09-28 12:25 Emil Karlson
2012-09-10 21:50 Emil Karlson
2012-09-09 8:50 Emil Karlson
2012-07-21 21:23 Chi-Thanh Christopher Nguyen
2012-07-16 17:28 Enrico Tagliavini
2012-07-09 14:16 Enrico Tagliavini
2012-06-17 14:30 Enrico Tagliavini
2012-03-28 18:14 Enrico Tagliavini
2012-02-12 17:21 Enrico Tagliavini
2012-02-04 14:33 Enrico Tagliavini
2012-01-26 19:15 Enrico Tagliavini
2011-12-30 20:17 Enrico Tagliavini
2011-12-24 14:43 Enrico Tagliavini
2011-12-14 18:33 Enrico Tagliavini
2011-11-24 15:43 Chi-Thanh Christopher Nguyen
2011-11-21 15:27 Enrico Tagliavini
2011-11-20 11:02 Enrico Tagliavini
2011-11-19 13:35 Enrico Tagliavini
2011-10-31 18:51 Enrico Tagliavini
2011-07-30 10:45 Enrico Tagliavini
2011-07-30 10:39 Enrico Tagliavini
2011-06-17 11:14 Enrico Tagliavini
2011-06-09 17:45 Chi-Thanh Christopher Nguyen
2011-05-26 17:23 Enrico Tagliavini
2011-05-11 18:51 Enrico Tagliavini
2011-05-11 17:46 Enrico Tagliavini
2011-05-01 12:23 Enrico Tagliavini
2011-04-29 11:37 Tomas Chvatal
2011-04-28 16:06 Enrico Tagliavini
2011-04-28 16:02 Enrico Tagliavini
2011-04-02 13:12 Enrico Tagliavini
2011-04-02 12:52 Enrico Tagliavini
2011-03-31 21:37 Chi-Thanh Christopher Nguyen
2011-03-30 10:15 Enrico Tagliavini
2011-03-30 9:55 Enrico Tagliavini
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1401770977.ac2eebc96bae0655e5bfb31e135ea218a7965458.emil_karlson@gentoo \
--to=jekarlson@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox